Subject: Re: bug#21284: 25.0.50; `completion-file-name-table' should/not use `nreverse'?

From: Marcin Borkowski <[email-masked]>
Date: Wed, 04 May 2016 09:40:00 +0200

On 2015-08-17, at 10:25, Keith David Bershatsky <[email-masked]> wrote:

> The function `completion-file-name-table' uses `(setq all (nreverse comp))' instead of `(setq all comp)'.
>
> This has the effect of reversing what was accomplished when `pcomplete-compare-entry-function' is set to `'string-lessp'.
>
> In a nutshell, the completions are in reverse alphabetical order as a result of `(setq all (nreverse comp))'.
>
> This was tested in an eshell buffer by typing at a prompt:  rm [space tab]; and, with `lawlist-eshell-cmpl-compare-entry-function` set to `'string-lessp'.

Hi,

I tried to reproduce it on GNU Emacs 25.1.50.9 (commit fafdfcb) and
failed.  However, I'm not sure whether I understood your report
correctly.  My Emacs doesn't seem to have
`lawlist-eshell-cmpl-compare-entry-function', only
`eshell-cmpl-compare-entry-function'.  Did you mean that variable?
I tried to set it to `'string-lessp', but nothing seemed to change after
"rm [space] [tab]" in Eshell.

> Thanks,
> Keith

Best,

-- 
Marcin